<?php
/*
#######################################
Check.php
checks if the folder permissions are set correctly
#######################################

by noiasca

Version
2020-09-26: initial version
*/
echo "<h2>Check Permissions</h2>\n";
echo "<p>This script performs some read/write tests<p>";
$filepath = "data";
$filename = "temp.txt";
// current iot folder should have read only
// write 
$handle = fopen($filename,"a+");
echo "<pre>\n";
if ($handle)
  echo "NOK: current folder is writeable<br>\n";
else
  echo "OK:  current folder is not writeable<br>\n";
// read - obviously we an read otherwise the script would not run
echo "OK : current folder is readable<br>\n";
// delete - only in case it was writeable
if ($handle){  
  fclose ($handle);
    if (unlink($filename))
      echo "NOK: files in current folder are deleteable<br>\n";
    else
      echo "NOK: files in current folder are protected from delete, but we don't want files to be writeable in this folder<br>\n";
}

// folder with granted permissions
// write
$handle = fopen($filepath."/".$filename,"a+");
if ($handle){
  echo "OK:  subfolder $filepath is writeable<br>\n";
  fclose ($handle);
}  
else
  echo "NOK: subfolder $filepath is not writeable<br>\n";
// read 
$handle = fopen($filepath."/".$filename,"r");
if ($handle){
  echo "OK:  subfolder $filepath is readable<br>\n";  
}  
else
  echo "NOK: subfolder $filepath is not readable<br>\n";
// delete
if ($handle){ 
  fclose ($handle);
    if (unlink($filepath."/".$filename))
      echo "OK:  files in subfolder $filepath can be deleted<br>\n";
    else
      echo "NOK: files subfolder $filepath can not be delete<br>\n";
}
echo "</pre>\n";
?>